// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

// THIS FILE IS AUTO-GENERATED, PLEASE DO NOT MODIFY BY HAND.

part of omnibus.test.messages_lib;

/// Test messages that are used to test the Omnibus library.

/// omnibusId for mData
const String mDataId = 'omnibus.mData';

/// Message that can hold any kind of data
///
/// *Arguments:*
///
/// - **data:**
///   Data map
OmnibusEvent mData(Map<String, dynamic> data) {
  return new OmnibusEvent(mDataId, {'data': data});
}

/// omnibusId for mAbc
const String mAbcId = 'omnibus.mAbc';

/// Message that has a, b, c values
///
/// *Arguments:*
///
/// - **a:**
///
/// - **b:**
///
/// - **c:**
OmnibusEvent mAbc({String a: '', String b: '', String c: ''}) {
  return new OmnibusEvent.unchecked(mAbcId, {'a': a, 'b': b, 'c': c});
}

/// omnibusId for mFakeRequest
const String mFakeRequestId = 'omnibus.mFakeRequest';

/// Fake request
///
/// *Arguments:*
///
/// - **data:**
///   Data map
OmnibusRequest mFakeRequest(Map<String, dynamic> data) {
  return new OmnibusRequest(mFakeRequestId, {'data': data});
}

/// omnibusId for mNoResponse
const String mNoResponseId = 'omnibus.mNoResponse';

/// Empty response
OmnibusResponse mNoResponse() {
  return new OmnibusResponse.unchecked(mNoResponseId, {});
}

/// omnibusId for mMessageForAll
const String mMessageForAllId = 'omnibus.mMessageForAll';

/// Condition-less event to test conditions
///
/// *Arguments:*
///
/// - **message:**
///   Message text
OmnibusEvent mMessageForAll(String message) {
  return new OmnibusEvent.unchecked(mMessageForAllId, {'message': message});
}

/// omnibusId for mEmail
const String mEmailId = 'omnibus.mEmail';

/// Email message
///
/// *Arguments:*
///
/// - **from:**
///   Sender
///
/// - **to:**
///   Receiver
///
/// - **body:**
///   Message body
OmnibusEvent mEmail(String body, {String from: '', String to: ''}) {
  return new OmnibusEvent.unchecked(
      mEmailId, {'from': from, 'to': to, 'body': body});
}

/// omnibusId for mCalculationRequest
const String mCalculationRequestId = 'omnibus.mCalculationRequest';

/// Calculation request message
///
/// *Arguments:*
///
/// - **a:**
///   First input
///
/// - **b:**
///   Second input
///
/// - **op:**
///   Mathematical operator
OmnibusRequest mCalculationRequest(
    [double a = 1.0,
    double b = 1.0,
    CalculationOperator op = CalculationOperator.add]) {
  return new OmnibusRequest.unchecked(
      mCalculationRequestId, {'a': a, 'b': b, 'op': op.index});
}

/// omnibusId for mCalculationResponse
const String mCalculationResponseId = 'omnibus.mCalculationResponse';

/// Calculation request response
///
/// *Arguments:*
///
/// - **result:**
///   Calculation result
OmnibusResponse mCalculationResponse(CalculationResult result) {
  return new OmnibusResponse(mCalculationResponseId, {'result': result});
}
